For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceFDX APIChangelog
GuidesAPI ReferenceFDX APIChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Donor Accounts
      • GETList Donor Accounts
      • POSTCreate Donor Account
      • GETGet Donor Account
      • PATCHUpdate Donor Account
      • POSTDisable Donor Account
      • POSTEnable Donor Account
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
Donor AccountsDonor Accounts

List Donor Accounts

GET
/v1/donor_accounts
GET
/v1/donor_accounts
$curl -G https://api.givechariot.com/v1/donor_accounts \
> -H "Authorization: Bearer <token>" \
> -d giving_pool_id=0bf40881-8ee2-47fb-98ca-f58c7999aa34 \
> --data-urlencode email=warrenBuffet@example.com
1{
2 "results": [
3 {
4 "id": "donor_account_01jpjenf5q6cawy43yxfcrxhct",
5 "status": "approved",
6 "donor": {
7 "email": "warrenBuffet@example.com",
8 "first_name": "Warren",
9 "last_name": "Buffet",
10 "phone": "+12125550100"
11 },
12 "created_at": "2026-04-01T12:00:00Z",
13 "updated_at": "2026-04-02T18:30:00Z",
14 "external_id": "ACME-DAF-DONOR-1042",
15 "approval": {
16 "approved_at": "2026-04-02T18:30:00Z",
17 "approved_by": "daf:fid_01jpjenf5q6cawy43yxfcrxhct"
18 },
19 "rejection": {},
20 "disabled": false
21 }
22 ],
23 "next_page_token": "c3f685f2-2dda-4956-815b-39867a5e5638"
24}

Returns a list of Donor Accounts for the authenticated DAF. This endpoint supports cursor-based pagination as well as filtering by fund, status, and email.

Was this page helpful?
Previous

Create Donor Account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

giving_pool_idstringOptional

The id of a Giving Pool. When set, filters Donor Accounts to those that have this Giving Pool associated with them.

statusenumOptional
Filter Donor Accounts to only those with the specified status.
Allowed values:
emailstringOptional
Filter Donor Accounts by donor email. The match is case insensitive and exact.
external_idstringOptional

Filter Donor Accounts by external_id — the DAF’s internal identifier for the Donor Account.

page_limitintegerOptionalDefaults to 10

the number of results to return; defaults to 10, max is 100

page_tokenstringOptional

A token to use to retrieve the next page of results. This is useful for paginating over many pages of results. If set, all other arguments are expected to be kept the same as previous calls and the value of this field should be from the next_page_token in the previous response.

Response

The response for DonorAccounts.list
resultslist of objects
next_page_tokenstring or null

A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the page_token). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error